<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:gravity="center|top"
    android:orientation="vertical"
    android:paddingStart="20dp"
    android:paddingEnd="20dp"
    tools:context=".MainActivity">

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="wrap_content"
        android:layout_height="120dp"
        android:src="@mipmap/new_logo"
        android:layout_marginTop="100dp" />

    <ImageView
        android:layout_width="300dp"
        android:layout_height="80dp"

        android:src="@mipmap/login_title" />


    <com.google.android.material.textfield.TextInputLayout

        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:textColor="@color/white"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:hint="工号"
        android:textColorHint="@color/white">


        <EditText
            android:id="@+id/login_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:textColor="@color/white"

            android:inputType="textVisiblePassword"
          />

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout

        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:textColor="@color/white"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:hint="密码"
        android:textColorHint="@color/white"
        app:passwordToggleEnabled="true"
        app:passwordToggleTint="@color/white">


        <EditText
            android:id="@+id/login_pass"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:textColor="@color/white"
            android:inputType="textVisiblePassword"/>

    </com.google.android.material.textfield.TextInputLayout>


    <!--    <EditText-->
    <!--        android:id="@+id/login_pass"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:textSize="23sp"-->
    <!--        android:inputType="textPassword"-->
    <!--        android:layout_marginTop="12dp"/>-->


<!--    <Button-->
<!--        android:id="@+id/login_log"-->
<!--        style="@style/buttonStyle"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_marginTop="12dp"-->
<!--        android:background="@drawable/bg_button_w16"-->
<!--        android:textColor="@color/black"-->
<!--        android:backgroundTint="@color/white"-->
<!--        android:="@color/white"-->
<!--        android:text="登 陆" />-->

    <Button
        android:id="@+id/login_log"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="登 陆"
        android:textSize="18sp"
        android:background="@drawable/bg_button_w16"
     />

    <CheckBox
        android:id="@+id/checkbox_remember"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="记住用户名和密码"
        android:textSize="18sp"
        android:layout_marginTop="12dp"
        android:layout_gravity="left"
        android:textColor="@color/white"
        android:checked="true" />


    <TextView
        android:id="@+id/version"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:gravity="center"
        android:textSize="18sp"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent" />


</LinearLayout>